Regenerate an invoice
curl --request POST \
--url https://api.metronome.com/v1/invoices/regenerate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "6a37bb88-8538-48c5-b37b-a41c836328bd"
}
'import requests
url = "https://api.metronome.com/v1/invoices/regenerate"
payload = { "id": "6a37bb88-8538-48c5-b37b-a41c836328bd" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '6a37bb88-8538-48c5-b37b-a41c836328bd'})
};
fetch('https://api.metronome.com/v1/invoices/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "6a37bb88-8538-48c5-b37b-a41c836328bd"
}
}Invoices
Regenerate an invoice
This endpoint regenerates a voided invoice and recalculates the invoice based on up-to-date rates, available balances, and other fees regardless of the billing period.
Use this endpoint to:
Recalculate an invoice with updated rate terms, available balance, and fees to correct billing disputes or discrepancies
Key response fields:
The regenerated invoice id, which is distinct from the previously voided invoice.
Usage guidelines:
If an invoice is attached to a contract with a billing provider on it, the regenerated invoice will be distributed based on the configuration.
POST
/
v1
/
invoices
/
regenerate
Regenerate an invoice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The invoice id to regenerate
The invoice id to regenerate
Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I